From e848671e40f5f783caa906759a80af736a316294 Mon Sep 17 00:00:00 2001
From: Isira Seneviratne <isirasen96@gmail.com>
Date: Sun, 18 Aug 2019 16:29:06 +0530
Subject: [PATCH v2 2/3] jscript: Replace '%pure-parser' with '%define
 api.pure'.

During the build process, Bison returned a warning stating that
'%pure-parser' should be replaced with '%define api.pure'.

Signed-off-by: Isira Seneviratne <isirasen96@gmail.com>
---
 dlls/jscript/cc_parser.y | 2 +-
 dlls/jscript/parser.y    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/dlls/jscript/cc_parser.y b/dlls/jscript/cc_parser.y
index 18c1cb1c38..4bc6260f19 100644
--- a/dlls/jscript/cc_parser.y
+++ b/dlls/jscript/cc_parser.y
@@ -30,7 +30,7 @@ WINE_DEFAULT_DEBUG_CHANNEL(jscript);
 
 %lex-param { parser_ctx_t *ctx }
 %parse-param { parser_ctx_t *ctx }
-%pure-parser
+%define api.pure
 %start CCExpr
 
 %union {
diff --git a/dlls/jscript/parser.y b/dlls/jscript/parser.y
index 138b6f329f..ca83b6fd15 100644
--- a/dlls/jscript/parser.y
+++ b/dlls/jscript/parser.y
@@ -141,7 +141,7 @@ static source_elements_t *source_elements_add_statement(source_elements_t*,state
 
 %lex-param { parser_ctx_t *ctx }
 %parse-param { parser_ctx_t *ctx }
-%pure-parser
+%define api.pure
 %start Program
 
 %union {
-- 
2.22.1

